'''
Created on 2011-01-31

@author: Chris
'''
import sys, os
import pygame

if not pygame.font: print 'Warning, fonts disabled'



# this class is not currently used in the game loop
class DialogueManager(pygame.sprite.Sprite):
    """ this class manages the dialogue box at the bottom of the screen, which 
    is used simply to display information on the dialogue box at the bottom of the 
    screen """
    
    def __init__(self, boxframe_imagename):
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        
        self.background_graphic = pygame.image.load(os.path.join('data', \
            boxframe_imagename)).convert_alpha()
        self.boxframe_surface = pygame.Surface(self.background_graphic.get_size())
        self.FRAME_TOPLEFT_COORDS = (0,450)
        self.SCORE_TOPLEFT_COORDS = (650,75)
        
        self.score_display = None

        if pygame.font:
            font = pygame.font.Font(None, 36)
            self.score_display = font.render("0", 1, (255, 255, 255))
        
        if self.score_display != None:
            self.boxframe_surface.blit(self.score_display, self.SCORE_TOPLEFT_COORDS)
        
        self.image = self.boxframe_surface
        self.rect = self.image.get_rect()


# may no longer be necessary
    def draw(self, screen):
        self.boxframe.blit(self.boxframe_graphic, (0,0))
        if self.score_display != None:
            self.boxframe.blit(self.score_display, self.SCORE_TOPLEFT_COORDS)
        screen.blit(self.boxframe, self.FRAME_TOPLEFT_COORDS)
        
    
    
    def updateScore(self, score_int):
         if pygame.font:
            font = pygame.font.Font(None, 36)
            self.score_display = font.render("%d"%(score_int), 1, (255, 255, 255))
        
        
    
    def update(self):
        pass
        
        
        
        
        
        
        
class HUD(pygame.sprite.Sprite):
    """ a sprite that is the HUD frame """

    def __init__(self, image_filename):
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        
        self.image = pygame.image.load(os.path.join('data', \
            image_filename)).convert_alpha()
        self.rect = self.image.get_rect()
        self.rect.topleft = (0,450)
        


class HUDInfoSprite(pygame.sprite.Sprite):
    """ a sprite that is a text section on the game's hud """
    
    def __init__(self,text,screen_position,font_size):
        pygame.sprite.Sprite.__init__(self) #call Sprite intializer
        self.text = text
        if pygame.font:
            font = pygame.font.Font(None, font_size)
            self.image = font.render(self.text, 1, (255, 255, 255))
            self.rect = self.image.get_rect()
            self.rect.topleft = screen_position
 
        
        
    def set_text(self,text,font_size):
        """ sets the hudinfo's text """
        self.text = text
        if pygame.font:
            font = pygame.font.Font(None, font_size)
            self.image = font.render(self.text, 1, (255, 255, 255))
       
       
    def get_text(self):
        """ gets hudinfo's text """
        return self.text
    
    
    
    
    def update(self):
        pass
        
        

    