'''
Created on 2011-02-03

@author: Chris
'''
import pygame
from pygame.locals import *
from loadtools import *
from dialoguemanager import *
import time

class Cutscene():
    """ an object that plays and handles input during cutscenes"""
    
    def __init__(self,cutscene_sheetname):
        '''
        Constructor
        '''            
        self.frames = load_sliced_sprites(800,600,cutscene_sheetname)
        
        
    def play(self,screen):
        for frame in self.frames:
            screen.blit(frame, (0,0))
            pygame.display.flip()
#            time.sleep(1)
            
            not_next_frame = 1
            while not_next_frame:
                for event in pygame.event.get():
                    if event.type == QUIT: quit()
            
                    elif event.type == KEYDOWN:
                        if event.key == K_ESCAPE:
                        #skip this cutscene
                            return
                    
                        elif event.key == K_RETURN \
                            or event.key == K_SPACE or event.key == K_KP_ENTER:
                            #go to next frame in cutscene
                            not_next_frame = 0
                        
    
        